/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#ifndef  MvQPlainTextEditSearchLine_H
#define  MvQPlainTextEditSearchLine_H

#include <QPlainTextEdit>

#include "MvQAbstractSearchLine.h" 

class  MvQPlainTextEditSearchLine : public MvQAbstractSearchLine
{
	Q_OBJECT

public:
	 MvQPlainTextEditSearchLine(QPlainTextEdit*,QString);
	~ MvQPlainTextEditSearchLine(); 
	
public slots:
	void slotFind(QString);
	void slotFindNext();
	void slotFindPrev();
	void slotFindNext(bool) { slotFindNext();}
	void slotFindPrev(bool) {slotFindPrev();}

protected:
	QPlainTextEdit* editor_;

};

#endif